searchData={"content_type":"text/markdown","items":[{"doc":"A simple wrapper to run GPG commands.\n\nTested on Linux with `gpg (GnuPG) 2.2.27`.\n\n> #","ref":"GPGex.html","title":"GPGex","type":"module"},{"doc":">\n> This is a pre-release version. As such, anything _may_ change\n> at any time, the public API _should not_ be considered stable,\n> and using a pinned version is _recommended_.","ref":"GPGex.html#module-warning-warning","title":"Warning {: .warning} - GPGex","type":"module"},{"doc":"You can specify an optional directory to be passed to `--homedir`.\nWithout this option your default GPG keyring will be used.\n\n    config :gpg_ex,\n      gpg_home: \"/tmp/gpg_ex_home\"","ref":"GPGex.html#module-configuration","title":"Configuration - GPGex","type":"module"},{"doc":"Runs GPG with the given args.\n\nReturns parsed status messages and stdout rows separately in a tuple.","ref":"GPGex.html#cmd/1","title":"GPGex.cmd/1","type":"function"},{"doc":"iex> {:ok, messages, stdout} = GPGex.cmd([\"--recv-keys\", \"18D5DCA13E5D61587F552A1BDEB5A837B34DD01D\"])\n    iex> messages\n    [\n      \"KEY_CONSIDERED 18D5DCA13E5D61587F552A1BDEB5A837B34DD01D 0\",\n      \"IMPORTED DEB5A837B34DD01D GPGEx Test  \",\n      \"IMPORT_OK 1 18D5DCA13E5D61587F552A1BDEB5A837B34DD01D\",\n      \"IMPORT_RES 1 0 1 0 0 0 0 0 0 0 0 0 0 0 0\"\n    ]\n    iex> stdout\n    [\n      \"key DEB5A837B34DD01D: public key \\\"GPGEx Test  \\\" imported\",\n      \"Total number processed: 1\",\n      \"imported: 1\"\n    ]\n\n    iex> GPGex.cmd([\"--delete-keys\", \"18D5DCA13E5D61587F552A1BDEB5A837B34DD01D\"])\n    {:ok, [], []}\n\n    iex> GPGex.cmd([\"--recv-keys\", \"91C8AFC4674BF0963E7A90CEB7FFBE9D2DF23D67\"])\n    {:error, [\"FAILURE recv-keys 167772218\"], [\"keyserver receive failed: No data\"]}","ref":"GPGex.html#cmd/1-examples","title":"Examples - GPGex.cmd/1","type":"function"},{"doc":"Same as `cmd/1` but raises a\n`RuntimeError` if the command fails.","ref":"GPGex.html#cmd!/1","title":"GPGex.cmd!/1","type":"function"},{"doc":"# GPGex\n\nA simple wrapper to run GPG commands.\n\nTested on Linux with `gpg (GnuPG) 2.2.27`.\n\n> [!WARNING]  \n> This is a pre-release version. As such, anything _may_ change\n> at any time, the public API _should not_ be considered stable,\n> and using a pinned version is _recommended_.","ref":"readme.html","title":"GPGex","type":"extras"},{"doc":"This library relies on `gpg` being available in your PATH.\n\nThe package can be installed by adding `gpg_ex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:gpg_ex, \"0.1.0\"}\n  ]\nend\n```\n\nFull documentation can be found at [https://hexdocs.pm/gpg_ex](https://hexdocs.pm/gpg_ex).","ref":"readme.html#installation","title":"Installation - GPGex","type":"extras"},{"doc":"This project follows the principles of [Semantic Versioning (SemVer)](https://semver.org/).","ref":"readme.html#versioning","title":"Versioning - GPGex","type":"extras"},{"doc":"# Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"#","ref":"changelog.html#1-0-0-alpha-1-2023-11-25","title":"1.0.0-alpha.1 (2023-11-25) - Changelog","type":"extras"},{"doc":"* add `cmd/1` & `cmd!/1` to run GPG commands ([5a2f129](https://github.com/sheerlox/gpg_ex/commit/5a2f12937b01bb57a93d332d45a42d0f4b49892e))\n\n\n#","ref":"changelog.html#features","title":"✨ Features - Changelog","type":"extras"},{"doc":"* setup dialyzer & test matrix ([b5d2705](https://github.com/sheerlox/gpg_ex/commit/b5d2705dcdb4bbb6b4cfd3fcdca225aad7e59295))\n* setup semantic-release & ex_doc ([8fcdad2](https://github.com/sheerlox/gpg_ex/commit/8fcdad204adf2a12185e74236ae5673bdb73cbc4))\n\n\n#","ref":"changelog.html#continuous-integrations","title":"⚙️ Continuous Integrations - Changelog","type":"extras"},{"doc":"* initialize project ([6c522cc](https://github.com/sheerlox/gpg_ex/commit/6c522cc340f7a09e69822e9105bf953c8a916e3f))","ref":"changelog.html#chores","title":"♻️ Chores - Changelog","type":"extras"},{"doc":"# License\n\nCopyright (c) 2023 Pierre Cavin\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\nhttp://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"license.html","title":"License","type":"extras"}]}